Zum Hauptinhalt springen
POST
/
marketing
/
marketing-events
/
2026-03
/
batch
/
update
Mehrere Marketingevents nach ObjectId aktualisieren
curl --request POST \
  --url https://api.hubapi.com/marketing/marketing-events/2026-03/batch/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "customProperties": [
        {
          "isEncrypted": true,
          "isLargeValue": true,
          "name": "<string>",
          "persistenceTimestamp": 123,
          "requestId": "<string>",
          "selectedByUser": true,
          "selectedByUserTimestamp": 123,
          "sourceId": "<string>",
          "sourceLabel": "<string>",
          "sourceMetadata": "<string>",
          "sourceUpstreamDeployable": "<string>",
          "sourceVid": [
            123
          ],
          "timestamp": 123,
          "unit": "<string>",
          "updatedByUserId": 123,
          "useTimestampAsPersistenceTimestamp": true,
          "value": "<string>"
        }
      ],
      "objectId": "<string>",
      "endDateTime": "2023-11-07T05:31:56Z",
      "eventCancelled": true,
      "eventDescription": "<string>",
      "eventName": "<string>",
      "eventOrganizer": "<string>",
      "eventType": "<string>",
      "eventUrl": "<string>",
      "startDateTime": "2023-11-07T05:31:56Z"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "customProperties": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "eventName": "<string>",
      "objectId": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "appInfo": {
        "id": "<string>",
        "name": "<string>"
      },
      "endDateTime": "2023-11-07T05:31:56Z",
      "eventCancelled": true,
      "eventCompleted": true,
      "eventDescription": "<string>",
      "eventOrganizer": "<string>",
      "eventType": "<string>",
      "eventUrl": "<string>",
      "startDateTime": "2023-11-07T05:31:56Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
inputs
object[]
erforderlich

Antwort

successful operation

completedAt
string<date-time>
erforderlich

Zeitstempel, wann die Anfrage verarbeitet wurde.

results
object[]
erforderlich
startedAt
string<date-time>
erforderlich

Zeitstempel, wann das Verarbeiten der Anfrage begonnen hat.

status
enum<string>
erforderlich

Der Status der Antwort.

Verfügbare Optionen:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Ergebnisobjekt der Anfrage.

requestedAt
string<date-time>

Zeitstempel, wann die Anfrage gesendet wurde.

Last modified on April 13, 2026